UncategorizedSQLException (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.jdbc

## Class UncategorizedSQLException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.dao.DataAccessException
          - - org.springframework.dao.NonTransientDataAccessException
            - - org.springframework.dao.UncategorizedDataAccessException
              - - org.springframework.jdbc.UncategorizedSQLException

- All Implemented Interfaces:
    Serializable

      public class UncategorizedSQLException
      extends UncategorizedDataAccessException

  Exception thrown when we can't classify a SQLException into one of our generic data access exceptions.
  Author:
    Rod Johnson, Juergen Hoeller
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UncategorizedSQLException(String task, String sql, SQLException ex)` Constructor for UncategorizedSQLException.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getSql()` Return the SQL that led to the problem.
    `SQLException` | `getSQLException()` Return the underlying SQLException.

    - ### Methods inherited from class org.springframework.core.NestedRuntimeException

      `contains, getMessage, getMostSpecificCause, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UncategorizedSQLException

          public UncategorizedSQLException(String task,
                                   String sql,
                                   SQLException ex)

      Constructor for UncategorizedSQLException.
      Parameters:
        `task` - name of current task
        `sql` - the offending SQL statement
        `ex` - the root cause

  - ### Method Detail

    - #### getSQLException

          public SQLException getSQLException()

      Return the underlying SQLException.

    - #### getSql

          public String getSql()

      Return the SQL that led to the problem.